/*
 * @Descripttion: 通讯录
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-24 12:19:48
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-28 11:21:51
 */
import getFetch from './getFetch.js';

let api = {
  getSyncCheck: '/sync/sync-check', // 获取同步状态
  refreshWx: '/sync/sync-contact', // 刷新企业微信
  getDepartmentList: '/department-list-level', // 获取搜索部门（暂无用）
  getCompanyDepartList: '/contact/get-department-list', // 获取企业部门列表树形数据
  getStaffList: '/get-staff-list', // 获取成员列表
  getStaffDetail: '/staff-detail', // 获取成员详情
  getStaffRelation: '/staff-clerk-relation', // 获取关联详情
  delStaffRelation: {
    url: '/staff-unbind', // 解绑关联
    method: 'post'
  },
  addStaffRelation: {
    url: '/staff-bind', // 添加绑定关联
    method: 'post'
  },
  getClerkRelation: '/search-clerk-list', // 获取关联导购
  getEnterprise: '/wx-enterprise-list', // 获取授权商户
  getBindLog: '/bind-log-list', // 查看变更日志
  getRefreshLog: '/bind-refresh-list', // 查看刷新日志
  getSyncFailDetail: '/sync-task-detail', // 查看失败日志

  getNationCode: '/nationcode/get-nationcode-list', // 获取国家码

  getGicGroup: '/gic-department-list', // 获取gic部门
  getGicStore: '/get-store-list', // 获取gic门店
}

api = getFetch(api, '/hb-manage-web');

export default api;
